import { Resource, ResourceProps } from 'aws-cdk-lib';
import { HelmChart, ICluster, ServiceAccount } from 'aws-cdk-lib/aws-eks';
import { Construct } from 'constructs';
/**
 * Configuration for the Inbound Resolver resource.
 */
export interface ExternalDnsProps extends ResourceProps {
    readonly cluster: ICluster;
    readonly domainFilter?: string[];
}
export declare class ExternalDns extends Resource {
    private readonly _domainFilter;
    readonly cluster: ICluster;
    get domainFilter(): string[];
    readonly resource: HelmChart;
    readonly serviceAccount: ServiceAccount;
    constructor(scope: Construct, id: string, props: ExternalDnsProps);
    addDomainFilter(domain: string): ExternalDns;
}
